/**
 * Comprehensive benchmark runner for the knowledge graph MCP service
 */
export declare class BenchmarkRunner {
    private results;
    /**
     * Run all benchmarks and generate a comprehensive report
     */
    runAllBenchmarks(): Promise<BenchmarkReport>;
    private runClientSideSearchBenchmarks;
    private runMemoryBenchmarks;
    private runThresholdBenchmarks;
    private runStrategyComparisonBenchmarks;
    private generateReport;
    private generateSummary;
    private assessOverallPerformance;
    private saveReport;
}
export interface BenchmarkResult {
    category: string;
    test: string;
    avgTime: number;
    minTime: number;
    maxTime: number;
    medianTime: number;
    stdDev: number;
    iterations: number;
    resultsCount: number;
    metadata: Record<string, any>;
}
export interface BenchmarkSummary {
    totalTests: number;
    categories: Record<string, any>;
    overallPerformance: string;
}
export interface BenchmarkReport {
    timestamp: string;
    summary: BenchmarkSummary;
    results: BenchmarkResult[];
    environment: {
        nodeVersion: string;
        platform: string;
        arch: string;
        memoryLimit: number;
    };
}
//# sourceMappingURL=benchmark-runner.d.ts.map